<?php
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $jogador = $_POST["jogador"];
    $gameselect = $_POST["gameselect"];
    $played = $_POST["played"];
    $msg = "O adversário foi expulso por abandono.";
    
    include 'conexao.php'; // Sua conexão com o banco de dados
    
    try {
        // Atualiza a coluna vencedor e played com os valores adequados
        $stmt = $pdo->prepare("UPDATE games SET vencedor = :jogador, played = :played, msg = :msg WHERE game = :gameselect");
        $stmt->bindParam(':jogador', $jogador, PDO::PARAM_INT);
        $stmt->bindParam(':played', $played, PDO::PARAM_STR);
        $stmt->bindParam(':gameselect', $gameselect, PDO::PARAM_INT);
        $stmt->bindParam(':msg', $msg, PDO::PARAM_STR);
        
        if ($stmt->execute()) {
            echo "Adversário expulso com sucesso.";
        } else {
            echo "Erro ao expulsar o adversário.";
        }
    } catch (PDOException $e) {
        echo "Erro na consulta: " . $e->getMessage();
    }
}
?>
